Subject: AC97 audio broken on SAM9263EK?

From: [email-masked] (Yegor Yefremov)
Date: Tue, 01 Jun 2010 15:39:35 +0200

Hi,

>> When do you think the driver could hit the mainline kernel? Till
>> 2.6.35 open window?
> 
> It has been acked, but I don't know when it will be in the mainline kernel.

have just tested 2.6.35-rc1 with mainline ac97 driver and found this issue. During playback I see following output on the console:

...
atmel_ac97c atmel_ac97c.0: channel A event
atmel_ac97c atmel_ac97c.0: channel A event
atmel_ac97c atmel_ac97c.0: channel A event
...

If I see it right these, lines come from sound/atmel/ac97c.c->atmel_ac97c_interrupt():

dev_info(&chip->pdev->dev, "channel A event%s%s%s%s%s%s\n",
                                casr & AC97C_CSR_OVRUN   ? " OVRUN"   : "",
                                casr & AC97C_CSR_RXRDY   ? " RXRDY"   : "",
                                casr & AC97C_CSR_UNRUN   ? " UNRUN"   : "",
                                casr & AC97C_CSR_TXEMPTY ? " TXEMPTY" : "",
                                casr & AC97C_CSR_TXRDY   ? " TXRDY"   : "",
                                !casr                    ? " NONE"    : "");

It is necessary to output this message in normal mode or is it a debug message?

Regards,
Yegor